Description: adb-functionfs: change user to phablet
 This is specific to how Ubuntu Touch runs ADBD.
Author: Ratchanan Srirattanamet <ratchanan@ubports.com>
Origin: vendor
Forwarded: not-needed
Last-Update: 2022-01-29
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/systemd/adbd-functionfs.sh
+++ b/systemd/adbd-functionfs.sh
@@ -2,9 +2,9 @@
 set -e
 mkdir -p /dev/usb-ffs
 chmod 0770 /dev/usb-ffs
-chown shell:shell /dev/usb-ffs
+chown phablet:phablet /dev/usb-ffs
 mkdir -p /dev/usb-ffs/adb
 chmod 0770 /dev/usb-ffs/adb
-chown shell:shell /dev/usb-ffs/adb
-/bin/mount -t functionfs adb /dev/usb-ffs/adb -o uid=shell,gid=shell
+chown phablet:phablet /dev/usb-ffs/adb
+/bin/mount -t functionfs adb /dev/usb-ffs/adb -o uid=phablet,gid=phablet
 exit 0
